Taifa Identity. Docs
OpenAPI Developers

API reference

Personal account

Management API contract View .md

4 management API operations for Personal account.

GET/v1/me

Me

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

No path or query parameters declared.

Request body

This operation has no request body.

Responses

200Successful Response

Content type: application/jsonOwnAccount

FieldTypeRequiredDescription
idstringYes
issuerstringYes
subjectstringYes
statusactiveYes
versionintegerYes
rolesstring[]Yes
membershipsOwnMembership[]Yes
accessOwnAccess[]Yes

GET/v1/me/freshness

Freshness

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

No path or query parameters declared.

Request body

This operation has no request body.

Responses

200Successful Response

Content type: application/jsonFreshness

FieldTypeRequiredDescription
snapshotstringYesOpaque signed snapshot JWT
receiptstringYesOpaque signed receipt JWT

GET/v1/me/sessions

Sessions

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

No path or query parameters declared.

Request body

This operation has no request body.

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

GET/v1/me/authenticators

Authenticators

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

No path or query parameters declared.

Request body

This operation has no request body.

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Popular

Browse by section